Working with BIG files and linetype generation

I have a 8 mb DWG created with AutoCAD. The refresh rate of the screen is slower than I would like, so I'm trying to simplify what Bricscad is displaying (v9). I've purged and manually toggled the linetype generation to NO for the copious quantities of dashed contour lines. But the linetypes are still shown on the screen? Is there something I'm missing here... a system variable perhaps? I though this would do the trick.Any ideas on how to speed up things without updating my processor (which is ultimately the best fix). I have a Intel P4 3.00ghz with 512mb (~2003 technology). I suppose upgrading the RAM would be a cheap fix... but.....Wasn't there a BONUS tool set in v7? Anything like that in V9? thanks Steve

Comments

  • I might be wrong, but think that applies to the creation of new plines only unless you physically change all the existing plines. Not sure it would help.You could try Viewres, to me it doesn't seem to make much difference below 100 (default), but certainly slows files I have seen set at 1000 or more.I have never found much else to speed up files, except entities which shouldn't be there. On that note there is a thread here - bricscad V8 very slow working with 9 Mb 2D files.

  • if by "linetype generation" you mean the PLINEGEN system variable, then:1. it only controls NEW plines when created.2. it only controls if linetypes are generated continuously around the vertices of plines or are interrupted.To help with overlarge files produced by too detailed contour plines (too many vertices)I use a free lisp called "pweed.lsp";=======================================================================; PWEED.LSP; Routine to remove vertices from selected P-lines according to ; specified parameters.; (c) 1986, 1987, 1988, 1989 Robert McNeel & Assoc.; 1310 Ward St.; Seattle, WA, 98109; 206-628-8822 fax 628-3716;---------------------------------------------------------------------(princ "\nInitial load .. please wait\n");---------------------------------------------------------------------;If 2 points are less than the minimum specified distance apart,; the 2nd is removed.;If 3 points form an angle less than the specified minimum, the middle one ; is removed.;6/30/89 - Lowell Walmsley, Robert McNeel & Associates, Seattle;-----------------------------------------------------------------------(defun val (k e) (cdr (assoc k e)));-----------------------------------------------------------------------;return ent list of next entity after current entlist e(defun nxtent (e) (entget (entnext (val -1 e))));-----------------------------------------------------------------------;Get ename of next vertex in a p-line or nil if end encountered(defun nxtvrt (e) (setq e (nxtent e)) (if (= "VERTEX" (val 0 e)) e ));-----------------------------------------------------------------------;check if p2 of the current group of 3 pts needs to be drawn to or not(defun tomid? () (or (> (delta) cang) (> (distance p1 p2) cdist) ));-----------------------------------------------------------------------;return the angle defined by p1 - p2 - p3 (globals)(defun delta ( / a1 a2) (setq a1 (angle p1 p2)) (setq a2 (angle p2 p3)) (min (abs (- a1 a2)) (abs (- (+ pi pi a1) a2)) (abs (- a1 (+ pi pi a2)))));-----------------------------------------------------------------------;Removes vertices from p-line if they aren't significant enough(defun c:pweed (/ i l ent p1 p2 p3) (setvar "cmdecho" 0) (setvar "flatland" 0) (if (and (setq ss (ssget)) ;get user defined values for weeding (setq cang (getangle "\nMinimum deflection angle: ")) (setq cdist (getdist "\nMinimum node distance: ")) ) (progn (setq i 0) (while (< i (sslength ss)) (setq ent (entget (setq &e (ssname ss i)))) (if (= "LWPOLYLINE" (val 0 ent))(progn (setq &l (entlast)) (command "CONVERTPOLY" "HEAVY" &e "") (if (/= (entlast) &l) (setq &e (entlast) ent (entget &e) ) ) )) (if (= "POLYLINE" (val 0 ent)) ;look for p-lines (progn (setq closed ;check if its closed (= (val 70 ent) (logior 1 (val 70 ent)))) (setq p1 nil p2 nil p3 nil) (setq ent (nxtent ent)) (if (= "VERTEX" (val 0 ent)) (setq p1 (val 10 ent)) ) (setq ent (nxtent ent)) (if (= "VERTEX" (val 0 ent)) (setq p2 (val 10 ent)) ) (setq ent (nxtent ent)) (if (= "VERTEX" (val 0 ent)) (setq p3 (val 10 ent)) ) (if (and p1 p2 p3) (progn (command ".layer" "s" (val 8 ent) "") ;match layer and elev (setvar "elevation" (caddr (val 10 ent))) ;of existing p-line (command ".pline" p1) ;draw a new one (while (and p1 p2 p3) (if (tomid?) ;but only use vertices that qualify (progn (command p2) (setq ent (nxtvrt ent)) ;get next vertex (setq p1 p2 p2 p3 p3 (val 10 ent)) ) ;else (progn ;skip to next vertex without drawing (setq ent (nxtvrt ent)) (setq p2 p3 p3 (val 10 ent)) ) ) ) (if p2 (command p2)) ;finish with the last couple of points (if p3 (command p3)) (if closed ;finish off the p-line (command "c") (command "") ) ) ) (setq i (+ i 1)) ;next p-line in selection set (command "CONVERTPOLY" "LIGHT" "L" "") ) ;else not a pline (ssdel (ssname ss i) ss) ) ) ) ) (command "erase" ss "") ;ersae the starting selection set (setvar "cmdecho" 1))

  • You will be better with more RAM, is not expensive and you will notice a important increased overall performance.If you are using 32 bit color depth in your system, try with 16 bit color depth.i assume you are on windows xp or 2000? google for this app "eboostr" this in an experimental app supposed to increase the cache memory in lowmemory PC's.but in your case i think you will be better with more physical RAM (i am guessing your system is taking memory base ram for video ram, i mean your system doesnt have a video accelerator. even with one, you definitively gain with at least 1 Gb RAM ).Bonus tools, please see this kb entry:http://www.bricsys.com/common/knowledge/topic.jsp?id=219

  • Thanks for all of the input... I believe my performance issues with this particular DWG are related to the number of polyline vertexes and available RAM...ThanksSteve

  • performance was drastically increased by spending 60$ on new RAM chipsMaxed it out from 512 mb to 2048 MB...big performance increase... problem fixed!stve

This discussion has been closed.